Bug 1161349 - ISPN-4679: OsgiClassLoader needs null check when iterating bundles
Summary: ISPN-4679: OsgiClassLoader needs null check when iterating bundles
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Library
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER4
: 6.4.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-07 00:39 UTC by dereed
Modified: 2018-12-09 19:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-28 13:27:03 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-4679 Minor Resolved OsgiClassLoader needs null check when iterating bundles 2014-11-07 00:41:10 UTC

Description dereed 2014-11-07 00:39:19 UTC
Description of problem:
org.infinispan.commons.util.OsgiClassLoader gets a NullPointerException when iterating through bundles if a bundle has been garbage collected.
It requires a null check when the bundle is retrieved from a WeakReference.

Comment 3 Dan Berindei 2014-11-07 10:11:15 UTC
PR: https://github.com/infinispan/jdg/pull/337


Note You need to log in before you can comment on or make changes to this bug.